Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`alias`.`MultiWrapper``

class documentation

`class MultiWrapper: (source)`

Constructor: `MultiWrapper(objs)`

Implements interfaces: `twisted.mail.interfaces.IMessageSMTP`

View In Hierarchy

A message receiver which delivers a single message to multiple other message receivers.

Method | `__init__` | No summary
Method | `__str__` | Build a string representation of this `MultiWrapper` instance.
Method | `connectionLost` | Inform the message receivers that the connection has been lost.
Method | `eomReceived` | Pass the end of message along to the message receivers.
Method | `lineReceived` | Pass a received line to the message receivers.
Instance Variable | `objs` | See `__init__`.

def __init__(self, objs): (source)

Parameters
objs:`list` of `IMessage` provider | Message receivers to which the incoming message should be directed.

def __str__(self) -> `str`: (source)

Build a string representation of this `MultiWrapper` instance.

Returns
`bytes` | A string containing a list of the message receivers.

def connectionLost(self): (source)
from `twisted.mail.interfaces.IMessageSMTP`

Inform the message receivers that the connection has been lost.

def eomReceived(self): (source)
from `twisted.mail.interfaces.IMessageSMTP`

Pass the end of message along to the message receivers.

Returns
`DeferredList` whose successful results are `bytes` or `None` | A deferred list which triggers when all of the message receivers have finished handling their end of message.

def lineReceived(self, line): (source)
from `twisted.mail.interfaces.IMessageSMTP`

Pass a received line to the message receivers.

Parameters
line:`bytes` | A line of the message.

objs = (source)

See `__init__`.